Ticket #43639

AI: Alight unit when amphibious transport reaches destination

Open Date: 2022-01-16 19:39 Last Update: 2022-03-08 21:42

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
3

Details

Related to discussion in #43630.

Currently AI's amphibious goto is considered finished when the passenger reaches the target tile. Under some rules that can happen even so that the transport has gone all the way to the target tile (River boats etc), and the passenger is still loaded to that transport.

Unload the unit in such a case in the end of the goto.

Ticket History (3/10 Histories)

2022-01-16 19:39 Updated by: cazfi
  • New Ticket "AI: Alight unit when amphibious transport reaches destination" created
2022-02-13 23:26 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-02-19 15:27 Updated by: cazfi
  • Resolution Update from Accepted to None
Comment

Assert failure from an autogame indicates that this might sometimes unload passenger even when it cannot exist at that location.

2022-02-20 02:57 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

- Check that passenger can exist at tile before unloading it

2022-03-05 10:25 Updated by: cazfi
Comment

The unloaded unit might need changing its activity from sentry to idle. I'm investigating an autogame with a unit having ACTIVITY_SENTRY when it shouldn't, and this patch is the prime suspect.

2022-03-06 02:31 Updated by: cazfi
Comment

Reply To cazfi

I'm investigating an autogame with a unit having ACTIVITY_SENTRY when it shouldn't, and this patch is the prime suspect.

Still investigating the case, but have eliminated this patch as a possible explanation.

That means that this patch has successfully passed heavy autogame testing already.

2022-03-08 21:42 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login